### Name: hexGrid
### Title: Generates a hexagon tessellation within a bounding box
### Aliases: hexGrid
### Keywords: misc

### ** Examples

## Not run: 
##D 
##D ##Define the bounding box and make the call
##D b.box <- c(0,0,10,10)
##D 
##D out <- hexGrid(20, b.box)
##D 
##D ##Plot using lapply
##D par(mfrow=c(1,2))
##D     
##D plot(out$hex.centroids, pch=19, cex=0.5,
##D      ylab="Northing", xlab="Easting")
##D lapply(out$hex.polygons, polygon, col="blue")
##D 
##D ##Now color hexagons based on value
##D my.col.ramp <- function(z){
##D   zlim <- range(z)
##D   zlen <- zlim[2]-zlim[1]+1
##D   colorlut <- heat.colors(as.integer(zlen))
##D   col <- colorlut[z-zlim[1]+1]
##D   col
##D }
##D 
##D n <- nrow(out$hex.centroids)
##D col <- my.col.ramp(rnorm(n))
##D 
##D plot(out$hex.centroids, typ="n", ylab="", xlab="Easting")
##D for(i in 1:n){
##D   polygon(out$hex.polygons[[i]], col=col[i], border=col[i])
##D }
##D 
## End(Not run)
  


